{% extends 'app/base.html' %}

{% block content %}
    <h3 class="mb-3 mt-2">All Posts</h3>
    <div class="container">
        <div class="table-responsive">
            <table class="table table-bordered custom-table">
                {% for post in posts %}
                    <tr>
                        <td>
                            <h4><a href="{% url 'blog:post_detail' post.id %}" > {{ post.title }}</a></h4>

                            <h5>Created by: {{ post.user.account.name}}</h5>
                            <p>{{ post.text }}</p>
                            <p>Published on: {{ post.publish_date }}</p>

                        </td>
                    </tr>
                {% empty %}
                    <tr>
                        <td colspan="3">No available blog posts</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>

{% endblock content %}